
import 'package:flutter_adserver/ads.dart';
import 'package:flutter_adserver/helper/Helper.dart';
import 'package:flutter_adserver/model/ads_response.dart';
import 'package:get/get.dart';

class AdsRepository extends GetConnect{

  Future<AdsResponse?> getBannerAds(String slotId) async {
    final response =
    await get(Helper.getBannerUrl(slotId),headers:{"access_token": "Bearer ${Ads.config!.apiConfig!.token}"},
        query: {"access_token": "Bearer ${Ads.config!.apiConfig!.token}"});
    if (response.status.hasError) {
      return Future.error(response.statusText!);
    } else {
      if(response.isOk) {
        var result = response.body;
        AdsResponse adsResponse = AdsResponse.fromJson(result);
        return adsResponse;
      }else{
        return null;
      }
    }
  }

  void setImpression(String url) async{
   await get(url);
  }
}